Index: trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_schema.sql
===================================================================
--- trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_schema.sql	(revision 176)
+++ trunk/data/konvert/postnas_0.7/alkis_PostNAS_0.7_schema.sql	(revision 178)
@@ -2639,20 +2911,19 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	funktion		integer,
-	"name"			character varying(50),
+	"name"			varchar,
 	nutzung			integer,
 	CONSTRAINT ax_hafenbecken_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_hafenbecken','wkb_geometry','25832','POLYGON',2);
-
-CREATE INDEX ax_hafenbecken_geom_idx
-          ON ax_hafenbecken  USING gist  (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_hafenbecken_gml 
-                 ON ax_hafenbecken USING btree (gml_id);
+SELECT AddGeometryColumn('ax_hafenbecken','wkb_geometry',25832,'GEOMETRY',2);
+
+CREATE INDEX ax_hafenbecken_geom_idx   ON ax_hafenbecken USING gist  (wkb_geometry);
+CREATE UNIQUE INDEX ax_hafenbecken_gml ON ax_hafenbecken USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_hafenbecken        IS '"H a f e n b e c k e n"  ist ein natÃŒrlicher oder kÃŒnstlich angelegter oder abgetrennter Teil eines GewÃ€ssers, in dem Schiffe be- und entladen werden.';
@@ -2671,21 +2942,20 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	funktion		integer,
-	name			character varying(50),
-	gewaesserkennziffer	character varying(30),
+	name			varchar,
+	gewaesserkennziffer	varchar,
 	hydrologischesMerkmal	integer,
 	CONSTRAINT ax_stehendesgewaesser_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_stehendesgewaesser','wkb_geometry','25832','POLYGON',2);
-
-CREATE INDEX ax_stehendesgewaesser_geom_idx
-          ON ax_stehendesgewaesser USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_stehendesgewaesser_gml 
-                 ON ax_stehendesgewaesser USING btree (gml_id);
+SELECT AddGeometryColumn('ax_stehendesgewaesser','wkb_geometry',25832,'GEOMETRY',2);
+
+CREATE INDEX ax_stehendesgewaesser_geom_idx ON ax_stehendesgewaesser USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_stehendesgewaesser_gml ON ax_stehendesgewaesser USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_stehendesgewaesser           IS 's t e h e n d e s   G e w a e s s e r  ist eine natÃŒrliche oder kÃŒnstliche mit Wasser gefÃŒllte, allseitig umschlossene Hohlform der LandoberflÃ€che ohne unmittelbaren Zusammenhang mit "Meer".';
@@ -2702,21 +2972,20 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	funktion		integer,
-	"name"			character varying(50),
-	bezeichnung		character varying(50),
+	"name"			varchar,
+	bezeichnung		varchar,
 	tidemerkmal		integer,
 	CONSTRAINT ax_meer_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_meer','wkb_geometry','25832','POLYGON',2);
-
-CREATE INDEX ax_meer_geom_idx
-          ON ax_meer USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_meer_gml 
-                 ON ax_meer USING btree (gml_id);
+SELECT AddGeometryColumn('ax_meer','wkb_geometry',25832,'GEOMETRY',2);
+
+CREATE INDEX ax_meer_geom_idx ON ax_meer USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_meer_gml ON ax_meer USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_meer              IS '"M e e r" ist die das Festland umgebende WasserflÃ€che.';
@@ -2758,6 +3027,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bauwerksfunktion	integer,
@@ -2765,11 +3036,8 @@
 );
 
-SELECT AddGeometryColumn('ax_turm','wkb_geometry','25832','POLYGON',2);
-
-CREATE INDEX ax_turm_geom_idx
-          ON ax_turm USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_turm_gml 
-                 ON ax_turm USING btree (gml_id);
+SELECT AddGeometryColumn('ax_turm','wkb_geometry',25832,'GEOMETRY',2);
+
+CREATE INDEX ax_turm_geom_idx ON ax_turm USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_turm_gml ON ax_turm USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_turm        IS 'T u r m';
@@ -2782,6 +3050,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bauwerksfunktion	integer,
@@ -2789,14 +3059,8 @@
 );
 
-SELECT AddGeometryColumn('ax_bauwerkoderanlagefuerindustrieundgewerbe','wkb_geometry','25832','POLYGON',2);
-
--- POLYGON und POINT
-ALTER TABLE ax_bauwerkoderanlagefuerindustrieundgewerbe DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_bauwerkoderanlagefuerindustrieundgewerbe_geom_idx 
-          ON ax_bauwerkoderanlagefuerindustrieundgewerbe USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_bauwerkoderanlagefuerindustrieundgewerbe_gml 
-                 ON ax_bauwerkoderanlagefuerindustrieundgewerbe USING btree (gml_id);
+SELECT AddGeometryColumn('ax_bauwerkoderanlagefuerindustrieundgewerbe','wkb_geometry',25832,'GEOMETRY',2); -- POLYGON/POINT
+
+CREATE INDEX ax_bauwerkoderanlagefuerindustrieundgewerbe_geom_idx ON ax_bauwerkoderanlagefuerindustrieundgewerbe USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_bauwerkoderanlagefuerindustrieundgewerbe_gml ON ax_bauwerkoderanlagefuerindustrieundgewerbe USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE ax_bauwerkoderanlagefuerindustrieundgewerbe         IS 'Bauwerk oder Anlage fuer Industrie und Gewerbe';
@@ -2809,6 +3073,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	speicherinhalt		integer,
@@ -2817,20 +3083,8 @@
 );
 
-SELECT AddGeometryColumn('ax_vorratsbehaelterspeicherbauwerk','wkb_geometry','25832','POLYGON',2);
-
--- auf MULTIPOLYGON erweitern
-ALTER TABLE ax_vorratsbehaelterspeicherbauwerk 
-  DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-ALTER TABLE ax_vorratsbehaelterspeicherbauwerk
-  ADD CONSTRAINT enforce_geotype_wkb_geometry CHECK (geometrytype(wkb_geometry) = 'POLYGON'::text 
-                                                  OR geometrytype(wkb_geometry) = 'MULTIPOLYGON'::text 
-                                                  OR wkb_geometry IS NULL);
-
-CREATE INDEX ax_vorratsbehaelterspeicherbauwerk_geom_idx 
-          ON ax_vorratsbehaelterspeicherbauwerk USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_vorratsbehaelterspeicherbauwerk_gml 
-                 ON ax_vorratsbehaelterspeicherbauwerk USING btree (gml_id);
+SELECT AddGeometryColumn('ax_vorratsbehaelterspeicherbauwerk','wkb_geometry',25832,'GEOMETRY',2);
+
+CREATE INDEX ax_vorratsbehaelterspeicherbauwerk_geom_idx ON ax_vorratsbehaelterspeicherbauwerk USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_vorratsbehaelterspeicherbauwerk_gml ON ax_vorratsbehaelterspeicherbauwerk USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_vorratsbehaelterspeicherbauwerk        IS 'V o r r a t s b e h a e l t e r  /  S p e i c h e r b a u w e r k';
@@ -2843,21 +3097,20 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bauwerksfunktion	integer,
 	lagezurerdoberflaeche	integer,
-	art			character varying(40),  --(15)
-	"name"			character varying(20),  -- (3) "NPL", "RMR"
+	art			varchar,  --(15)
+	"name"			varchar,  -- (3) "NPL", "RMR"
 	CONSTRAINT ax_transportanlage_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_transportanlage','wkb_geometry','25832','LINESTRING',2);
-
-CREATE INDEX ax_transportanlage_geom_idx 
-          ON ax_transportanlage USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_transportanlage_gml 
-                 ON ax_transportanlage USING btree (gml_id);
+SELECT AddGeometryColumn('ax_transportanlage','wkb_geometry',25832,'LINESTRING',2);
+
+CREATE INDEX ax_transportanlage_geom_idx ON ax_transportanlage USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_transportanlage_gml ON ax_transportanlage USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_transportanlage        IS 'T r a n s p o r t a n l a g e';
@@ -2870,6 +3123,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bauwerksfunktion	integer,
@@ -2878,11 +3133,8 @@
 );
 
-SELECT AddGeometryColumn('ax_leitung','wkb_geometry','25832','LINESTRING',2);
-
-CREATE INDEX ax_leitung_geom_idx
-          ON ax_leitung USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_leitung_gml 
-                 ON ax_leitung USING btree (gml_id);
+SELECT AddGeometryColumn('ax_leitung','wkb_geometry',25832,'LINESTRING',2);
+
+CREATE INDEX ax_leitung_geom_idx ON ax_leitung USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_leitung_gml ON ax_leitung USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_leitung        IS 'L e i t u n g';
@@ -2895,22 +3147,18 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bauwerksfunktion	integer,
-	-- "name"		character varying(15),
+	-- "name"		varchar,
 	CONSTRAINT ax_bauwerkoderanlagefuersportfreizeitunderholung_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_bauwerkoderanlagefuersportfreizeitunderholung','wkb_geometry','25832','POLYGON',2);
-
---POLYGON  oder POINT
-ALTER TABLE ax_bauwerkoderanlagefuersportfreizeitunderholung DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_bauwerkoderanlagefuersportfreizeitunderholung_geom_idx 
-          ON ax_bauwerkoderanlagefuersportfreizeitunderholung USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_bauwerkoderanlagefuersportfreizeitunderholung_gml 
-                 ON ax_bauwerkoderanlagefuersportfreizeitunderholung USING btree (gml_id);
+SELECT AddGeometryColumn('ax_bauwerkoderanlagefuersportfreizeitunderholung','wkb_geometry',25832,'GEOMETRY',2); -- POLYGON/POINT
+
+CREATE INDEX ax_bauwerkoderanlagefuersportfreizeitunderholung_geom_idx ON ax_bauwerkoderanlagefuersportfreizeitunderholung USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_bauwerkoderanlagefuersportfreizeitunderholung_gml ON ax_bauwerkoderanlagefuersportfreizeitunderholung USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_bauwerkoderanlagefuersportfreizeitunderholung        IS 'Bauwerk oder Anlage fuer Sport, Freizeit und Erholung';
@@ -2923,7 +3171,9 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying[],
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar[],
 	anlass			integer,
 	archaeologischertyp	integer,
@@ -2931,15 +3181,8 @@
 );
 
-SELECT AddGeometryColumn('ax_historischesbauwerkoderhistorischeeinrichtung','wkb_geometry','25832','POLYGON',2);
-
--- POLYGON und POINT
-ALTER TABLE  ax_historischesbauwerkoderhistorischeeinrichtung
-	DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_historischesbauwerkoderhistorischeeinrichtung_geom_idx 
-          ON ax_historischesbauwerkoderhistorischeeinrichtung USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_historischesbauwerkoderhistorischeeinrichtung_gml 
-                 ON ax_historischesbauwerkoderhistorischeeinrichtung USING btree (gml_id);
+SELECT AddGeometryColumn('ax_historischesbauwerkoderhistorischeeinrichtung','wkb_geometry',25832,'GEOMETRY',2); -- POLYGON/POINT
+
+CREATE INDEX ax_historischesbauwerkoderhistorischeeinrichtung_geom_idx ON ax_historischesbauwerkoderhistorischeeinrichtung USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_historischesbauwerkoderhistorischeeinrichtung_gml ON ax_historischesbauwerkoderhistorischeeinrichtung USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_historischesbauwerkoderhistorischeeinrichtung        IS 'Historisches Bauwerk oder historische Einrichtung';
@@ -2952,20 +3195,19 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar,
 	anlass			integer,
 	art			integer,
-	"name"			character varying(13),
+	"name"			varchar,
 	CONSTRAINT ax_heilquellegasquelle_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_heilquellegasquelle','wkb_geometry','25832','POINT',2);
-
-CREATE INDEX ax_heilquellegasquelle_geom_idx 
-          ON ax_heilquellegasquelle USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_heilquellegasquelle_gml 
-                 ON ax_heilquellegasquelle USING btree (gml_id);
+SELECT AddGeometryColumn('ax_heilquellegasquelle','wkb_geometry',25832,'POINT',2);
+
+CREATE INDEX ax_heilquellegasquelle_geom_idx ON ax_heilquellegasquelle USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_heilquellegasquelle_gml ON ax_heilquellegasquelle USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_heilquellegasquelle        IS 'H e i l q u e l l e  /  G a s q u e l l e';
@@ -2978,24 +3220,20 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	anlass			integer,
---	art			character varying(40),	-- Inhalt = "urn:adv:fachdatenverbindung:AA_Antrag" oder leer, wozu?
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
+	anlass			integer,
+--	art			varchar,	-- Inhalt = "urn:adv:fachdatenverbindung:AA_Antrag" oder leer, wozu?
 	description		integer,		-- neu 03.02.2012
-	"name"			character varying(35),	-- Lippe immer leer, RLP "Relationsbelegung bei Nachmigration"
+	"name"			varchar,	-- Lippe immer leer, RLP "Relationsbelegung bei Nachmigration"
 	bauwerksfunktion	integer,
 	CONSTRAINT ax_sonstigesbauwerkodersonstigeeinrichtung_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_sonstigesbauwerkodersonstigeeinrichtung','wkb_geometry','25832','POLYGON',2);
-
--- POLYGON und LINESTRING
-ALTER TABLE ax_sonstigesbauwerkodersonstigeeinrichtung DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_sonstigesbauwerkodersonstigeeinrichtung_geom_idx 
-          ON ax_sonstigesbauwerkodersonstigeeinrichtung USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_sonstigesbauwerkodersonstigeeinrichtung_gml 
-                 ON ax_sonstigesbauwerkodersonstigeeinrichtung USING btree (gml_id);
+SELECT AddGeometryColumn('ax_sonstigesbauwerkodersonstigeeinrichtung','wkb_geometry',25832,'GEOMETRY',2); -- POLYGON/LINESTRING
+
+CREATE INDEX ax_sonstigesbauwerkodersonstigeeinrichtung_geom_idx ON ax_sonstigesbauwerkodersonstigeeinrichtung USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_sonstigesbauwerkodersonstigeeinrichtung_gml ON ax_sonstigesbauwerkodersonstigeeinrichtung USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_sonstigesbauwerkodersonstigeeinrichtung        IS 'sonstiges Bauwerk oder sonstige Einrichtung';
@@ -3008,6 +3246,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	sonstigesmodell		character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet			character(20),
+	sonstigesmodell		varchar,
 	anlass			integer,
 	art			integer,
@@ -3015,11 +3255,8 @@
 );
 
-SELECT AddGeometryColumn('ax_einrichtunginoeffentlichenbereichen','wkb_geometry','25832','POINT',2);
-
-CREATE INDEX ax_einrichtunginoeffentlichenbereichen_geom_idx
-          ON ax_einrichtunginoeffentlichenbereichen USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_einrichtunginoeffentlichenbereichen_gml 
-                 ON ax_einrichtunginoeffentlichenbereichen USING btree (gml_id);
+SELECT AddGeometryColumn('ax_einrichtunginoeffentlichenbereichen','wkb_geometry',25832,'POINT',2);
+
+CREATE INDEX ax_einrichtunginoeffentlichenbereichen_geom_idx ON ax_einrichtunginoeffentlichenbereichen USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_einrichtunginoeffentlichenbereichen_gml ON ax_einrichtunginoeffentlichenbereichen USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_einrichtunginoeffentlichenbereichen        IS 'E i n r i c h t u n g   i n   O e f f e n t l i c h e n   B e r e i c h e n';
@@ -3032,20 +3269,19 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	anlass			integer,
-	punktkennung		character varying(15), -- integer,
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
+	anlass			integer,
+	punktkennung		varchar, -- integer,
 	land			integer,
 	stelle			integer,
-	--sonstigeeigenschaft	character varying(26),
+	--sonstigeeigenschaft	character(26),
 	CONSTRAINT ax_besondererbauwerkspunkt_pk PRIMARY KEY (ogc_fid)
 );
 
-INSERT INTO geometry_columns 
-       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
-VALUES ('', 'public', 'ax_besondererbauwerkspunkt', 'dummy', 2, 25832, 'POINT');
-
-CREATE UNIQUE INDEX ax_besondererbauwerkspunkt_gml 
-                 ON ax_besondererbauwerkspunkt USING btree (gml_id);
+SELECT AddGeometryColumn('ax_besondererbauwerkspunkt','dummy',25832,'POINT',2);
+
+CREATE UNIQUE INDEX ax_besondererbauwerkspunkt_gml ON ax_besondererbauwerkspunkt USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_besondererbauwerkspunkt        IS 'B e s o n d e r e r   B a u w e r k s p u n k t';
@@ -3064,6 +3300,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bauwerksfunktion	integer,
@@ -3071,15 +3309,8 @@
 );
 
---SELECT AddGeometryColumn('ax_bauwerkimverkehrsbereich','wkb_geometry','25832','POLYGON',2);
-SELECT AddGeometryColumn('ax_bauwerkimverkehrsbereich','wkb_geometry','25832','MULTIPOLYGON',2);
-
--- POLYGON und LINESTRING
-ALTER TABLE ax_bauwerkimverkehrsbereich DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_bauwerkimverkehrsbereich_geom_idx 
-          ON ax_bauwerkimverkehrsbereich USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_bauwerkimverkehrsbereich_gml 
-                 ON ax_bauwerkimverkehrsbereich USING btree (gml_id);
+SELECT AddGeometryColumn('ax_bauwerkimverkehrsbereich','wkb_geometry',25832,'GEOMETRY',2); -- POLYGON/MULTIPOLYGON
+
+CREATE INDEX ax_bauwerkimverkehrsbereich_geom_idx ON ax_bauwerkimverkehrsbereich USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_bauwerkimverkehrsbereich_gml ON ax_bauwerkimverkehrsbereich USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_bauwerkimverkehrsbereich        IS 'B a u w e r k   i m  V e r k e h s b e r e i c h';
@@ -3093,23 +3324,15 @@
 	gml_id			character(16),
 	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying[],
+	endet 			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar[],
 	anlass			integer,
 	art			integer 
 );
 
-SELECT AddGeometryColumn('ax_strassenverkehrsanlage','wkb_geometry','25832','POLYGON',2);
-
--- LINESTRING und POLYGON
-ALTER TABLE ax_strassenverkehrsanlage DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-ALTER TABLE ONLY ax_strassenverkehrsanlage
-	ADD CONSTRAINT ax_strassenverkehrsanlage_pk PRIMARY KEY (ogc_fid);
-
-CREATE INDEX ax_strassenverkehrsanlage_geom_idx 
-          ON ax_strassenverkehrsanlage USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_strassenverkehrsanlage_gml 
-                 ON ax_strassenverkehrsanlage USING btree (gml_id);
+SELECT AddGeometryColumn('ax_strassenverkehrsanlage','wkb_geometry',25832,'GEOMETRY',2); -- LINESTRING/MULTIPOLYGON
+
+CREATE INDEX ax_strassenverkehrsanlage_geom_idx ON ax_strassenverkehrsanlage USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_strassenverkehrsanlage_gml ON ax_strassenverkehrsanlage USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_strassenverkehrsanlage        IS 'S t r a s s e n v e r k e h r s a n l a g e';
@@ -3122,7 +3345,9 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying[],
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar[],
 	anlass			integer,
 	art			integer,
@@ -3130,14 +3355,8 @@
 );
 
-SELECT AddGeometryColumn('ax_wegpfadsteig','wkb_geometry','25832','LINESTRING',2);
-
--- LINESTRING und POLYGON
-ALTER TABLE ax_wegpfadsteig DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_wegpfadsteig_geom_idx 
-          ON ax_wegpfadsteig USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_wegpfadsteig_gml 
-                 ON ax_wegpfadsteig USING btree (gml_id);
+SELECT AddGeometryColumn('ax_wegpfadsteig','wkb_geometry',25832,'GEOMETRY',2); -- LINESTRING/POLYGON
+
+CREATE INDEX ax_wegpfadsteig_geom_idx ON ax_wegpfadsteig USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_wegpfadsteig_gml ON ax_wegpfadsteig USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_wegpfadsteig        IS 'W e g  /  P f a d  /  S t e i g';
@@ -3151,6 +3370,7 @@
 	gml_id			character(16),
 	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying[],
+	endet 			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar[],
 	anlass			integer,
 	bahnhofskategorie	integer,
@@ -3159,11 +3379,8 @@
 );
 
-SELECT AddGeometryColumn('ax_bahnverkehrsanlage','wkb_geometry','25832','POINT',2);
-
-CREATE INDEX ax_bahnverkehrsanlage_geom_idx
-          ON ax_bahnverkehrsanlage USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_bahnverkehrsanlage_gml 
-                 ON ax_bahnverkehrsanlage USING btree (gml_id);
+SELECT AddGeometryColumn('ax_bahnverkehrsanlage','wkb_geometry',25832,'POINT',2);
+
+CREATE INDEX ax_bahnverkehrsanlage_geom_idx ON ax_bahnverkehrsanlage USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_bahnverkehrsanlage_gml ON ax_bahnverkehrsanlage USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_bahnverkehrsanlage        IS 'B a h n v e r k e h r s a n l a g e';
@@ -3180,7 +3397,9 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying[],
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar[],
 	anlass			integer,
 	bahnkategorie		integer,
@@ -3188,14 +3407,8 @@
 );
 
-SELECT AddGeometryColumn('ax_gleis','wkb_geometry','25832','LINESTRING',2);
-
--- auch POLYGON
-ALTER TABLE ax_gleis DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_gleis_geom_idx 
-          ON ax_gleis USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_gleis_gml 
-                 ON ax_gleis USING btree (gml_id);
+SELECT AddGeometryColumn('ax_gleis','wkb_geometry',25832,'GEOMETRY',2); -- LINESTRING/POLYGON
+
+CREATE INDEX ax_gleis_geom_idx ON ax_gleis USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_gleis_gml ON ax_gleis USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_gleis        IS 'G l e i s';
@@ -3208,21 +3421,20 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar,
 	anlass			integer,
 	art			integer,
 	oberflaechenmaterial	integer,
-	"name"			character varying(50),
+	"name"			varchar,
 	CONSTRAINT ax_flugverkehrsanlage_pk PRIMARY KEY (ogc_fid)
 );
 
-SELECT AddGeometryColumn('ax_flugverkehrsanlage','wkb_geometry','25832','POLYGON',2);
-
-CREATE INDEX ax_flugverkehrsanlage_geom_idx
-          ON ax_flugverkehrsanlage USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_flugverkehrsanlage_gml 
-                 ON ax_flugverkehrsanlage USING btree (gml_id);
+SELECT AddGeometryColumn('ax_flugverkehrsanlage','wkb_geometry',25832,'GEOMETRY',2);
+
+CREATE INDEX ax_flugverkehrsanlage_geom_idx ON ax_flugverkehrsanlage USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_flugverkehrsanlage_gml ON ax_flugverkehrsanlage USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_flugverkehrsanlage             IS 'F l u g v e r k e h r s a n l a g e';
@@ -3239,6 +3451,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bauwerksfunktion	integer,
@@ -3246,14 +3460,8 @@
 );
 
-SELECT AddGeometryColumn('ax_bauwerkimgewaesserbereich','wkb_geometry','25832','POLYGON',2);
-
--- Es wird (auch) LINESTRING / POINT geliefert!
-ALTER TABLE ax_bauwerkimgewaesserbereich DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_bauwerkimgewaesserbereich_geom_idx 
-          ON ax_bauwerkimgewaesserbereich USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_bauwerkimgewaesserbereich_gml 
-                 ON ax_bauwerkimgewaesserbereich USING btree (gml_id);
+SELECT AddGeometryColumn('ax_bauwerkimgewaesserbereich','wkb_geometry',25832,'GEOMETRY',2); -- LINESTRING/POINT
+
+CREATE INDEX ax_bauwerkimgewaesserbereich_geom_idx ON ax_bauwerkimgewaesserbereich USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_bauwerkimgewaesserbereich_gml ON ax_bauwerkimgewaesserbereich USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_bauwerkimgewaesserbereich        IS 'B a u w e r k   i m   G e w a e s s e r b e r e i c h';
@@ -3269,6 +3477,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	bewuchs			integer,
@@ -3276,14 +3486,8 @@
 );
 
-SELECT AddGeometryColumn('ax_vegetationsmerkmal','wkb_geometry','25832','POLYGON',2);
-
--- verschiedene Geometrietypen
-ALTER TABLE ONLY ax_vegetationsmerkmal DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_vegetationsmerkmal_geom_idx
-          ON ax_vegetationsmerkmal USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_vegetationsmerkmal_gml 
-                 ON ax_vegetationsmerkmal USING btree (gml_id);
+SELECT AddGeometryColumn('ax_vegetationsmerkmal','wkb_geometry',25832,'GEOMETRY',2);
+
+CREATE INDEX ax_vegetationsmerkmal_geom_idx ON ax_vegetationsmerkmal USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_vegetationsmerkmal_gml ON ax_vegetationsmerkmal USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_vegetationsmerkmal        IS 'V e g a t a t i o n s m e r k m a l';
@@ -3299,6 +3503,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	art			integer,
@@ -3306,11 +3512,8 @@
 );
 
-SELECT AddGeometryColumn('ax_gewaessermerkmal','wkb_geometry','25832','POINT',2);
-
-CREATE INDEX ax_gewaessermerkmal_geom_idx
-          ON ax_gewaessermerkmal USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_gewaessermerkmal_gml 
-                 ON ax_gewaessermerkmal USING btree (gml_id);
+SELECT AddGeometryColumn('ax_gewaessermerkmal','wkb_geometry',25832,'POINT',2);
+
+CREATE INDEX ax_gewaessermerkmal_geom_idx ON ax_gewaessermerkmal USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_gewaessermerkmal_gml ON ax_gewaessermerkmal USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_gewaessermerkmal        IS 'G e w a e s s e r m e r k m a l';
@@ -3323,6 +3526,8 @@
 	ogc_fid			serial NOT NULL,
 	gml_id			character(16),
-	beginnt			character(20),
-	advstandardmodell	character varying(9),
+	identifier		character(44),
+	beginnt			character(20),
+	endet 			character(20),
+	advstandardmodell	varchar,
 	anlass			integer,
 	funktion		integer,
@@ -3330,14 +3535,8 @@
 );
 
-SELECT AddGeometryColumn('ax_untergeordnetesgewaesser','wkb_geometry','25832','LINESTRING',2);
-
--- LINESTRING und POLYGON
-ALTER TABLE ax_untergeordnetesgewaesser DROP CONSTRAINT enforce_geotype_wkb_geometry;
-
-CREATE INDEX ax_untergeordnetesgewaesser_geom_idx 
-          ON ax_untergeordnetesgewaesser USING gist (wkb_geometry);
-
-CREATE UNIQUE INDEX ax_untergeordnetesgewaesser_gml 
-                 ON ax_untergeordnetesgewaesser USING btree (gml_id);
+SELECT AddGeometryColumn('ax_untergeordnetesgewaesser','wkb_geometry',25832,'GEOMETRY',2); -- LINESTRING/POLYGON
+
+CREATE INDEX ax_untergeordnetesgewaesser_geom_idx ON ax_untergeordnetesgewaesser USING gist (wkb_geometry);
+CREATE UNIQUE INDEX ax_untergeordnetesgewaesser_gml ON ax_untergeordnetesgewaesser USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_untergeordnetesgewaesser        IS 'u n t e r g e o r d n e t e s   G e w a e s s e r';
@@ -3371,18 +3570,13 @@
 	gml_id			character(16),
 	beginnt			character(20),
-	advstandardmodell	character varying(9),
-	sonstigesmodell		character varying[],
+	endet 			character(20),
+	advstandardmodell	varchar,
+	sonstigesmodell		varchar[],
 	anlass			integer
 );
 
-INSERT INTO geometry_columns 
-       (f_table_catalog, f_table_schema, f_table_name, f_geometry_column, coord_dimension, srid, type)
-VALUES ('', 'public', 'ax_boeschungkliff', 'dummy', 2, 25832, 'POINT');
-
-ALTER TABLE ONLY ax_boeschungkliff
-	ADD CONSTRAINT ax_boeschungkliff_pk PRIMARY KEY (ogc_fid);
-
-CREATE UNIQUE INDEX ax_boeschungkliff_gml 
-                 ON ax_boeschungkliff USING btree (gml_id);
+SELECT AddGeometryColumn('ax_boeschungkliff','dummy',25832,'POINT',2);
+
+CREATE UNIQUE INDEX ax_boeschungkliff_gml ON ax_boeschungkliff USING btree (gml_id,beginnt);
 
 COMMENT ON TABLE  ax_boeschungkliff        IS 'B o e s c h u n g s k l i f f';
